package anilibria

import (
	"encoding/json"
	"errors"

	"git.thefoxon.ru/anilibria/anilibria-go/model"
)

func GetTitleList() (title *[]model.Title, err error) {

	reqBody, status, err := request("GET", "/v3/title/list", nil)

	if status != 200 {
		return nil, errors.New(errorFetchTitle)
	}

	if err = json.Unmarshal(reqBody, &title); err != nil {
		return nil, err
	}

	return
}
